# OpalEchoCanceler::Params Struct Reference

`#include <echocancel.h>`

## Public Member Functions

| Params ()

## Data Fields

bool | m_enabled
| Echo cancellation will be performed.
unsigned | m_duration
| Number of samples of echo to cancel.

## Constructor & Destructor Documentation

OpalEchoCanceler::Params::Params | ( |  | ) | `[inline]`

## Field Documentation

unsigned OpalEchoCanceler::Params::m_duration

Number of samples of echo to cancel.

bool OpalEchoCanceler::Params::m_enabled

Echo cancellation will be performed.

The documentation for this struct was generated from the following file:

- echocancel.h